diff --git a/lib/stdlib/src/erl_lint.erl b/lib/stdlib/src/erl_lint.erl
index 298f52d..112e5d6 100644
--- a/lib/stdlib/src/erl_lint.erl
+++ b/lib/stdlib/src/erl_lint.erl
@@ -2891,14 +2891,8 @@ pat_binsize_var(V, Line, Vt, Bvt, St) ->
 expr_var(V, Line, Vt, St0) ->
     case orddict:find(V, Vt) of
         {ok,{bound,_Usage,Ls}} -> 
-            case element(1,St0#lint.func) == new andalso lists:keymember(V,1,St0#lint.global_vt) of
-                 true -> 
-                    {[{V,{bound,used,[Line]}}],
-                          add_error(Line, {unbound_var,V}, St0)};
-                 false ->
-                    {[{V,{bound,used,Ls}}],St0}
-            end;
-        {ok,{{unsafe,In},Usage,Ls}} ->
+            {[{V,{bound,used,Ls}}],St0};
+        {ok,{{unsafe,In},_Usage,Ls}} ->
             {[{V,{bound,used,Ls}}],
              add_error(Line, {unsafe_var,V,In}, St0)};
         {ok,{{export,From},_Usage,Ls}} ->
